#include <bits/stdc++.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
	int a,q=0;
	long long b=1;
	int x[26]={0};
	cin>>a;
	char c='A';
	string l;
	cin>>l;
	for(int i=0;i<a;i++){
		if(l[i]==c){
			c++;
		}
		else if(l[i]+1==c)x[91-c]++;
	}
	if(c!=91 || a==26){
		cout<<0;
		return 0;
	}
	for(int u=0;u<26;u++){
		x[u]++;
		b*=x[u];
		b%=1000000007;
	}
	cout<<b%1000000007;
	return 0;
}